<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
    <h3 class="font-medium my-3 col-6">Listado de archivos de : </h3>
      <div class="my-3 col-6 d-flex justify-content-end">
      <select  [(ngModel)]="usuarioArchivos" (change)="cambiarlista()" 
      class="form-select form-select-sm"
      aria-label=".form-select-sm example"  >
      <option [ngValue]="idUsuario">Cuidador</option>
       <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
              {{ paciente.nombre }} {{ paciente.apellido }}
            </option>
        </select>
        </div>
    </div>
  
    
  
  <div class="row">
   
     
      <div class="col-lg-12 col-md-6" >
            <table class="table align-middle text-nowrap" style="background-color: white;">
              <thead>
                  <tr>
                      <th class="text-dark font-medium fs-4">Nombre</th>
                      <th class="text-dark font-medium fs-4">Formato</th>
                      <th class="text-dark font-medium fs-4">Ver archivo</th>
                      <th class="text-dark font-medium fs-4">Eliminar</th>
                      <th class="text-dark font-medium fs-4">Compartir</th>
                  </tr>
              </thead>
              <tbody>
                <tr   *ngFor="let archivo of listaArchivos">
        
  
    
       
                    <td class="text-dark font-medium fs-4 " >{{archivo.nombre}}</td>
                    <td class="text-dark font-medium fs-4 " >{{archivo.formato}}</td>
   
                  <td class="text-dark font-medium fs-4 ">
                    <a href="{{archivo.ruta}}" target="_blanck"
                      class="btn btn-primary">Ver</a> 
                    </td>

                  
                    <td><button class="btn btn-danger btn-sm" (click)="eliminar(archivo.id, archivo.nombre)" ><i class="bi bi-trash-fill"></i> </button></td>
                    <td>
                        <div *ngIf="archivo.estado==true; then thenBlock else elseBlock"></div>
                        <ng-template #thenBlock> <input type="checkbox" checked (change)="cambiarEstado(archivo.id)" ></ng-template>
                        <ng-template #elseBlock> <input type="checkbox" (change)="cambiarEstado(archivo.id)"></ng-template>
                    </td>
                  </tr>   
              </tbody>
          </table>
  
      </div>
      </div>